/*
** Copyright (C) 1999 - 2001 Albert L. Faber
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
** 
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
** 
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software 
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef FILEEXISTWARNING_H_INCLUDED
#define FILEEXISTWARNING_H_INCLUDED

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// FileExistWarning.h : header file
//
#include "resource.h"

/////////////////////////////////////////////////////////////////////////////
// CFileExistWarning dialog

class CFileExistWarning : public CDialog
{
// Construction
	BOOL	m_bYesToAll;
	BOOL	m_bNoToAll;
public:
	CFileExistWarning(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CFileExistWarning)
	enum { IDD = IDD_FILEOVERWRITE };
	CString	m_strFileName;
	//}}AFX_DATA

	BOOL GetYesToAll() const { return m_bYesToAll; }
	BOOL GetNoToAll() const { return m_bNoToAll; }
	void SetFileName( CString& strFileName ) { m_strFileName = strFileName; }

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFileExistWarning)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CFileExistWarning)
	afx_msg void OnToall();
	virtual void OnCancel();
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnNo();
	afx_msg void OnYes();
	afx_msg void OnMyno();
	afx_msg void OnNotoall();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif
